
/* addr_util.c */

extern char *gcos_name(char *,char *);
extern char *get_full_name(char *);
extern int talk_to(char *);
extern add_site(char *,char *,char *);
extern get_address_from(char *,char *,char *);
extern translate_return(char *,char *);
extern int build_address(char *,char *);
extern int real_from(char *,struct header_rec *);
extern forwarded(char *,struct header_rec *);
extern parse_arpa_who(char *,char *,int );
extern int parse_arpa_date(char *,struct header_rec *);
extern int fix_arpa_address(char *);
extern figure_out_addressee(char *,char *);

/* alias.c */

extern int ok_alias_name(char *);
extern read_alias_files(void);
extern read_system_aliases(void);
extern read_user_aliases(void);
extern int read_hash_file(char *,char *,int );
extern int add_alias(void);
extern int delete_alias(void);
extern int add_current_alias(void);
extern int add_to_alias_text(char *,char *,char *);
extern int delete_from_alias_text(char *);
extern show_alias_menu(void);
extern int alias(void);
extern install_aliases(void);
extern int alias_help(void);
extern display_aliases(void);

/* aliasdb.c */

extern findnode(char *,int );
extern int binary_search(char *,char *);
extern get_entry(char *,char *,FILE *,long );
extern char *find_path_to(char *,int );

/* aliaslib.c */

extern char *get_alias_address(char *,int );
extern int do_get_alias(char *,char **,int *,int ,int ,int );
extern int do_expand_group(char *,char **,int *,int ,int );
extern int add_name_to_list(char *,char **,int *);
extern int find(char *,struct alias_rec *,int );
extern int istrcmp(char *,char *);
extern int strincmp(char *,char *,int );
extern int hash_it(char *,int );
extern get_line(int ,char *);

/* args.c */

extern char *parse_arguments(int ,char **,char *);
extern args_help(void);
extern args_version(void);

/* bouncebk.c */

extern int uucp_hops(char *);
extern char *bounce_off_remote(char *);

/* builtin.c */

extern start_builtin(int );
extern int next_line(char **,char *,unsigned int );
extern int display_line(char *);
extern title_for_page(int );

/* curses.c */

extern int InitScreen(void);
extern char *return_value_of(char *);
extern int transmit_functions(int );
extern ScreenSize(int *,int *);
extern SetXYLocation(int ,int );
extern GetXYLocation(int *,int *);
extern int ClearScreen(void);
extern int MoveCursor(int ,int );
extern CarriageReturn(void);
extern NewLine(void);
extern int StartBold(void);
extern int EndBold(void);
extern int StartUnderline(void);
extern int EndUnderline(void);
extern int StartHalfbright(void);
extern int EndHalfbright(void);
extern int StartInverse(void);
extern int EndInverse(void);
extern int HasMemlock(void);
extern int StartMemlock(void);
extern int EndMemlock(void);
extern int Writechar(int );
extern cdecl Write_to_screen(/*char *,int ,char *,char *,char **/);
extern cdecl PutLine0(/*int ,int ,char **/);
extern cdecl PutLine1(/*int ,int ,char *,char **/);
extern cdecl PutLine2(/*int ,int ,char *,char *,char **/);
extern cdecl PutLine3(/*int ,int ,char *,char *,char *,char **/);
extern int CleartoEOLN(void);
extern int CleartoEOS(void);
extern int RawState(void);
extern int Raw(int );
extern int ReadCh(void);
extern int outchar(int );

/* date.c */

extern char *get_arpa_date(void);
extern days_ahead(int ,char *);
extern fix_date(struct header_rec *);
extern fix_time(char *);
extern int compare_parsed_dates(struct date_rec ,struct date_rec );
extern int month_number(char *);

/* delete.c */

extern delete_msg(int ,int );
extern undelete_msg(int );
extern show_msg_status(int );
extern int tag_message(int );
extern show_msg_tag(int );
extern show_new_status(int );

/* domains.c */

extern open_domain_file(void);
extern char *expand_domain(char *);
extern int explode(char *,char *,char *,char *);
extern char *match_and_expand_domain(char *,char *,char *);

/* edit.c */

extern int edit_mailbox(void);

/* editmsg.c */

extern int edit_the_message(char *,int );
extern int no_editor_edit_the_message(char *);
extern tilde_help(void);
extern read_in_file(FILE *,char *,int );
extern print_message_so_far(FILE *,char *);
extern read_in_messages(FILE *,char *);
extern get_with_expansion(char *,char *,char *,char *);
extern void edit_interrupt(/*void*/);

/* elm.c */

extern main(int ,char **);
extern debug_screen(void);
extern debug_message(void);
extern do_check_only(char *);

/* encode.c */

extern getkey(int );
extern get_key_no_prompt(void);
extern encode(char *);
extern makekey(char *);
extern setup(void);

/* errno.c */

extern char *error_name(int );
extern char *error_description(int );

/* exitprog.c */

extern int exit_prog(void);

/* expires.c */

extern process_expiration_date(char *,int *);

/* file.c */

extern int save(int *,int ,int );
extern int save_message(int ,char *,FILE *,int ,int ,int ,int );
extern int expand_filename(char *,int );

/* file_util.c */

extern long bytes(char *);
extern int can_access(char *,int );
extern int can_open(char *,char *);
extern int copy(char *,char *);
extern int append(FILE *,char *);
extern int check_mailfile_size(char *);
extern create_readmsg_file(void);
extern long fsize(FILE *);

/* fileio.c */

extern copy_message(char *,FILE *,int ,int ,int ,int ,int );
extern int save_file_stats(char *);
extern int restore_file_stats(char *);

/* forms.c */

extern int check_form_file(char *);
extern int format_form(char *);
extern int mail_filled_in_form(char *,char *);
extern prompt_for_entries(char *,FILE *,int );
extern prompt_for_sized_entry(char *,char *,int );

/* hdrconfg.c */

extern int edit_headers(void);
extern display_headers(void);
extern enter_date(char *);
extern check_user_header(char *);

/* help.c */

extern int help(int );
extern int display_helpfile(int );
extern int display_file(char *);

/* in_utils.c */

extern int want_to(char *,int );
extern int read_number(int );
extern int optionally_enter(char *,int ,int ,int ,int );
extern int pattern_enter(char *,char *,int ,int ,char *);
extern int GetPrompt(void);

/* init.c */

extern initialize(char *);
extern get_term_chars(void);

/* leavembox.c */

extern int leave_mbox(int ,int ,int );
extern char *mk_lockname(char *);
extern int lockx(int );
extern int unlockx(void);

/* limit.c */

extern int limit(void);
extern int limit_selection(int ,char *,int );
extern int next_message(int ,int );
extern int prev_message(int ,int );
extern int compute_visible(int );
extern int visible_to_index(int );

/* mailmsg1.c */

extern int sendmsg(char *,char *,char *,int ,int ,int );
extern int get_to(char *,char *);
extern int get_subject(char *);
extern int get_copies(char *,char *,char *,int );
extern int copy_the_msg(int *);
extern display_to(char *);
extern output_abbreviated_to(char *);

/* mailmsg2.c */

extern int mail(int ,int ,int );
extern remove_hostbang(char *);
extern int mail_form(char *,char *);
extern int recall_last_msg(char *,int ,int *,int *);
extern int verify_transmission(char *,int *);
extern FILE *write_header_info(char *,char *,char *,char *,int ,int );
extern copy_message_across(FILE *,FILE *,int );
extern int verify_bounceback(void);
extern int append_sig(FILE *);

/* mailtime.c */

extern resolve_received(struct header_rec *);

/* mkhdrs.c */

extern generate_reply_to(int );
extern add_mailheaders(FILE *);
extern expand_backquote(char *,FILE *);

/* newmbox.c */

extern int newmbox(char *,int );
extern int get_folder_type(char *);
extern mk_temp_mail_fn(char *,char *);
extern int read_headers(int );

/* opt_utils.c */

extern int gethostdomain(char *,int );
extern char *tempnam(char *,char *);

/* options.c */

extern int options(void);
extern display_options(void);
extern on_or_off(int *,int ,int );
extern switch_user_level(int *,int ,int );
extern int change_sort(int ,int );
extern one_liner(char *);
extern sort_one_liner(int );
extern char *one_liner_for(int );
extern options_help(void);
extern char *level_name(int );

/* out_utils.c */

extern show_last_error(void);
extern clear_error(void);
extern set_error(char *);
extern error(char *);
extern error1(char *,...);
extern error2(char *,...);
extern error3(char *,...);
extern lower_prompt(char *);
extern prompt(char *);
extern set_central_message(char *,char *);
extern display_central_message(void);
extern clear_central_message(void);

/* pattern.c */

extern int meta_match(int );
extern int pattern_match(void);
extern int from_matches(int ,char *);
extern int subject_matches(int ,char *);
extern int match_in_message(char *);

/* pmalloc.c */

extern char *pmalloc(int );

/* quit.c */

extern quit(int );
extern int resync(void);
extern int change_file(void);

/* read_rc.c */

extern read_rc_file(void);
extern weedout(char *);
extern alternatives(char *);
extern default_weedlist(void);
extern int matches_weedlist(char *);
extern int breakup(char *,char *,char *);
extern expand_env(char *,char *);
extern dump_rc_results(void);
extern int is_it_on(char *);

/* remail.c */

extern int remail(void);

/* reply.c */

extern int reply(void);
extern int reply_to_everyone(void);
extern int forward(void);
extern get_and_expand_everyone(char *,char *);
extern int okay_address(char *,char *);
extern int optimize_and_add(char *,char *);
extern get_return_name(char *,char *,int );
extern int break_down_tolist(char *,int *,char *,char *);

/* returnadd.c */

extern int get_return(char *,int );
extern get_existing_address(char *,int );

/* save_opts.c */

extern save_options(void);
extern save_user_options(FILE *,FILE *);
extern save_option_string(int ,char *,FILE *,int );
extern save_option_sort(int ,FILE *);
extern save_option_char(int ,int ,FILE *);
extern save_option_number(int ,int ,FILE *);
extern save_option_on_off(int ,int ,FILE *);
extern save_option_weedlist(int ,FILE *);
extern save_option_alternatives(int ,struct addr_rec *,FILE *);
extern add_comment(int ,FILE *);
extern build_offset_table(FILE *);
extern int find_and_store_loc(char *,long );

/* savecopy.c */

extern int save_copy(char *,char *,char *,char *,char *,int );
extern char *cf_english(char *);
extern int name_copy_file(char *);

/* screen.c */

extern showscreen(void);
extern update_title(void);
extern show_menu(void);
extern int show_headers(void);
extern show_current(void);
extern build_header_line(char *,struct header_rec *,int ,int ,char *,int );
extern int fix_header_page(void);
extern int on_page(int );
extern char *show_status(int );

/* showmsg.c */

extern int show_msg(int );
extern int show_line(char *,int );

/* showmsg_c.c */

extern int process_showmsg_cmd(int );
extern put_cmd_name(char *,int );
extern put_border(void);
extern build_bottom(void);

/* signals.c */

extern void quit_signal();
extern void hup_signal();
extern void term_signal();
extern void ill_signal();
extern void fpe_signal();
extern void bus_signal();
extern void segv_signal();
extern void alarm_signal();
extern void pipe_signal();
extern void sig_user_stop();
extern void sig_return_from_user_stop();

/* softkeys.c */

extern define_softkeys(int );
extern define_key(int ,char *,char *);
extern softkeys_on(void);
extern softkeys_off(void);
extern clear_key(int );

/* sort.c */

extern sort_mailbox(int ,int );
extern int compare_headers(struct header_rec **,struct header_rec **);
extern char *sort_name(int );
extern find_old_current(int );
extern char *skip_re(char *);

/* string2.c */

extern char *shift_lower(char *);
extern int in_list(char *,char *);
extern int in_string(char *,char *);
extern int chloc(char *,int );
extern int occurances_of(int ,char *);
extern remove_possible_trailing_spaces(char *);

/* strings.c */

extern copy_sans_escape(char *,char *,int );
extern int addr_matches_user(char *,char *);
extern int tail_of(char *,char *,char *);
extern char *format_long(char *,int );
extern char *strip_commas(char *);
extern char *strip_parens(char *);
extern move_left(char *,int );
extern remove_first_word(char *);
extern split_word(char *,char *,char *);
extern char *tail_of_string(char *,int );
extern reverse(char *);
extern int get_word(char *,int ,char *);
extern Centerline(int ,char *);
extern char *argv_zero(char *);
extern char *get_token(char *,char *,int );
extern quote_args(char *,char *);

/* syscall.c */

extern int subshell(void);
extern int system_call(char *,int ,int ,int );
extern int do_pipe(void);
extern print_msg(void);
extern int make_msg_list(char *);
extern list_folders(unsigned int ,char *);

/* utils.c */

extern create_new_folders(void);
extern create_new_elmdir(void);
extern move_old_files_to_new(void);
extern emergency_exit(void);
extern rm_temps_exit(void);
extern leave(int );
extern silently_exit(void);
extern leave_locked(int );
extern int get_page(int );
extern char *nameof(char *);

/* validname.c */

extern int valid_name(char *);
